Home Assistant Notifications keep failing

Alright, so I have a notification set to turn the LEDs on my switch to “chase” when my garage door is open. It works great, most of the time. Then I get errors…If I reboot my Home Assistant rpi4, everything is fine for a few days and then it happens again…any ideas on what is causing the issue?

here is my log:

Logger: homeassistant.components.automation.big_garage_door_opened_turn_on_chase_notification
Source: components/automation/init.py:666
Integration: Automation (documentation, issues)
First occurred: February 8, 2024 at 10:33:48 AM (22 occurrences)
Last logged: 9:21:13 PM

While executing automation automation.big_garage_door_opened_turn_on_chase_notification
Traceback (most recent call last):
File “/usr/local/lib/python3.12/site-packages/zigpy/types/struct.py”, line 48, in _convert_type
return field_type(value)
^^^^^^^^^^^^^^^^^
File “/usr/local/lib/python3.12/site-packages/zigpy/types/basic.py”, line 91, in new
n = super().new(cls, *args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
ValueError: invalid literal for int() with base 10: ‘Chase’

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/components/automation/init.py”, line 666, in async_trigger
return await self.action_script.async_run(
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/homeassistant/homeassistant/helpers/script.py”, line 1600, in async_run
return await asyncio.shield(run.async_run())
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/homeassistant/homeassistant/helpers/script.py”, line 435, in async_run
await self._async_step(log_exceptions=False)
File “/usr/src/homeassistant/homeassistant/helpers/script.py”, line 487, in _async_step
self._handle_exception(
File “/usr/src/homeassistant/homeassistant/helpers/script.py”, line 512, in _handle_exception
raise exception
File “/usr/src/homeassistant/homeassistant/helpers/script.py”, line 485, in _async_step
await getattr(self, handler)()
File “/usr/src/homeassistant/homeassistant/helpers/script.py”, line 739, in _async_device_step
await device_action.async_call_action_from_config(
File “/usr/src/homeassistant/homeassistant/components/device_automation/action.py”, line 71, in async_call_action_from_config
await platform.async_call_action_from_config(hass, config, variables, context)
File “/usr/src/homeassistant/homeassistant/components/zha/device_action.py”, line 128, in async_call_action_from_config
await ZHA_ACTION_TYPES[DEVICE_ACTION_TYPES[config[CONF_TYPE]]](
File “/usr/src/homeassistant/homeassistant/components/zha/device_action.py”, line 226, in _execute_cluster_handler_command_based_action
await getattr(action_cluster_handler, action_type)(**config)
File “/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/manufacturerspecific.py”, line 350, in issue_all_led_effect
await self.led_effect(effect_type, color, level, duration, expect_reply=False)
File “/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/init.py”, line 84, in wrapper
return await RETRYABLE_REQUEST_DECORATOR(func)(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/usr/local/lib/python3.12/site-packages/zigpy/util.py”, line 131, in retry
return await func()
^^^^^^^^^^^^
File “/usr/local/lib/python3.12/site-packages/zigpy/quirks/init.py”, line 199, in command
return await self.request(
^^^^^^^^^^^^^^^^^^^
File “/usr/local/lib/python3.12/site-packages/zigpy/zcl/init.py”, line 357, in request
hdr, request = self._create_request(
^^^^^^^^^^^^^^^^^^^^^
File “/usr/local/lib/python3.12/site-packages/zigpy/zcl/init.py”, line 319, in _create_request
request = schema(*args, **kwargs) # type:ignore[operator]
^^^^^^^^^^^^^^^^^^^^^^^
File “/usr/local/lib/python3.12/site-packages/zigpy/types/struct.py”, line 117, in new
setattr(instance, name, field._convert_type(value, struct=instance))
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/usr/local/lib/python3.12/site-packages/zigpy/types/struct.py”, line 50, in _convert_type
raise ValueError(
ValueError: Failed to convert led_effect=‘Chase’ from type <class ‘str’> to <class ‘zigpy.types.basic.uint8_t’>

Post up your yaml for the automation.
And when you do, hit the gear icon and select perforrated text so it keeps it’s formatting.

2 Likes

here ya go…

alias: Big Garage Door Opened, Turn on Chase Notification
description: ""
trigger:
  - platform: device
    device_id: 8d10290758704b579e5e2ba6c59fb21f
    domain: cover
    entity_id: 19d867429bad28cc4668b0043dc382f5
    type: opened
condition: []
action:
  - type: issue_all_led_effect
    domain: zha
    device_id: f09c70948fbb5544ed1a7457ad947cd3
    effect_type: Chase
    level: 100
    duration: 255
    color: 1
  - type: issue_all_led_effect
    domain: zha
    device_id: a799772cf80d10fcacd07cac18f6aee9
    effect_type: Chase
    color: 1
    level: 100
    duration: 255
  - service: zwave_js.bulk_set_partial_config_parameters
    target:
      entity_id: light.red_series_dimmer
    data:
      endpoint: 0
      parameter: "16"
      value: 50268674
  - service: light.turn_on
    target:
      entity_id: light.govee_corner_light_2
    data:
      color_name: red
      brightness_pct: 25
  - type: issue_all_led_effect
    domain: zha
    device_id: 449eb7ff663f1d8902f23b745820e254
    effect_type: Chase
    color: 1
    level: 100
    duration: 255
  - type: issue_all_led_effect
    domain: zha
    device_id: c14854bcac5b34d09c5babd1a214b8d0
    effect_type: Chase
    color: 1
    level: 100
    duration: 255
mode: single

I believe your issue may be right here. The parameter is numeric, but by putting in quotes you have it send as text.

If that’s not it, I’m not seeing any other glaring issues.

2 Likes

Genius! I totally missed that! Thank you! All fixed!